mail::account::isRemoteUrl
Prev | mail::account Native API reference | Next

## Name

mail::account::isRemoteUrl — Determine whether the account is a remote account

## Synopsis

#include <libmail/mail.H>

`bool flag=fsfuncmail::account::isRemoteUrl(` | std::string url`)`;

## USAGE

`mail::account::isRemoteUrl` returns `true` if `url` identifies a mail account on a remote server (as opposed to a local mail account) that requires a network connection. `mail::account::isRemoteUrl` returns `true` if `url` begins with `imap`, `imaps`, `nntp`, `nntps`, `pop3`, `pop3s`, `smtp`, or `smtps`.

## SEE ALSO

mail::account::open(3x).

Prev | Up | Next
mail::account::hasCapability | Home | ToC | mail::account::logout